package com.hb.config;

import com.hb.interceptor.MyInterceptor;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.*;

/**
 * @Auther: shaoming
 * @Date: 2021/1/8 14:11
 * @Description: 注册拦截器配置类
 */
@Configuration//表名这是springboot的配置类
public class InterceptorConfig implements WebMvcConfigurer {
    @Override
    public void addInterceptors(InterceptorRegistry registry) {
        //定义排除swagger访问的路径配置
        String[] swaggerExcludes=new String[]{"/swagger-ui.html","/swagger-resources/**","/webjars/**", "/getPicture"};

        registry.addInterceptor(new MyInterceptor())
                // addPathPatterns 用于添加拦截规则
                .addPathPatterns("/**")
                .excludePathPatterns(swaggerExcludes);
        WebMvcConfigurer.super.addInterceptors(registry);
    }

}




